%define name    koncd
%define version 1.0rc2
%define release 2mdk

Summary:	CD-Burner for KDE2
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Cd burning
Source:		%{name}-%{version}.tar.bz2
Patch1:		koncd.diff.bz2
URL: 		http://www.koncd.de
Requires: 	cdrecord mkisofs cdrdao
BuildRoot: 	%_tmppath/%{name}-buildroot
BuildRequires:  arts
BuildRequires:  fam-devel
BuildRequires:  kdelibs-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  XFree86-devel

%description
KOnCD is a program that allows you to master CDs with mkisofs and cdrecord
programs. It can create multisession CDs, bootable CDs and it supports blanking
on CD-RW. It also copy CDs on-the-fly. This is the KDE 2 Edition !

%prep

%setup -q
%patch1 -p1

%build
#laurent version 0.7.5 --enable-final doesn't work
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --with-qt-dir=%_libdir/qt2 \
            --disable-rpath \
	    --prefix=%_prefix \
	    --mandir=%_mandir \
	    --datadir=%_datadir \
	    --disable-debug 

%make

%install

%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat > $RPM_BUILD_ROOT/%{_menudir}/koncd << EOF
?package(koncd): command="/usr/bin/koncd" needs="X11" section="Applications/Archiving/Cd burning" title="KonCD" longtitle="KonCD" icon="%{name}.png"
EOF


%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README TODO 
%_bindir/%name
%_menudir/%name
%_datadir/applnk/Multimedia/*.desktop
%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png
%_datadir/icons/hicolor/16x16/apps/*.png
%_datadir/icons/hicolor/32x32/apps/*.png

%dir %_datadir/apps/koncd/
%_datadir/apps/koncd/*.example
%dir %_datadir/apps/koncd/pics/
%_datadir/apps/koncd/pics/*.png


%dir %_docdir/HTML/en/koncd/
%dir %_docdir/HTML/en/koncd/images/
%doc %_docdir/HTML/en/koncd/images/*.jpg
%doc %_docdir/HTML/en/koncd/*.htm
%doc %_docdir/HTML/en/koncd/*.html

%dir %_docdir/HTML/de/koncd/
%dir %_docdir/HTML/de/koncd/images/
%doc %_docdir/HTML/de/koncd/images/*.jpg
%doc %_docdir/HTML/de/koncd/*.htm
%doc %_docdir/HTML/de/koncd/*.html


%changelog
* Mon Feb 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0rc2-2mdk
- requires on cdrdao ( thx Claudio )

* Wed Jan 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0rc2-1mdk
- Update code (1.0rc2)

* Sat Oct 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0rc1-2mdk
- Rebuild against libpng3

* Mon Oct 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0rc1-1mdk
- Update code (1.0rc1)

* Fri Sep 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.7-1mdk
- Update code (0.9.7)

* Wed Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6-2mdk
- Add patch 1 (info from claudio)

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6-1mdk
- Update code 0.9.6

* Fri Aug 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.5-1mdk
- Update code 0.9.5

* Sat Aug 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.2-1mdk
- Update code 0.9.2

* Fri Jul 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.4-1mdk
- Update code 0.8.4

* Sun Jul 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.5-2mdk
- Removed all BuildRequires
- BuildRequires:  arts
- BuildRequires:  fam-devel
- BuildRequires:  kdelibs-devel
- BuildRequires:  libjpeg-devel
- BuildRequires:  libpng-devel
- BuildRequires:  XFree86-devel

* Sat Jul 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.5-1mdk
- Update code 0.7.5

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.7-3mdk
- Move KDE menu entry in %%_datadir/applnk
- Use optimizations
- Fix BuildRequires fon non %%ix86 architectures
- Rebuild against latest GCC

* Mon Apr 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Add build requires

* Sat Mar 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- updated to 0.7 
- updated filelist
- it's done Claudio ;-)

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65-2mdk
- Rebuild against Qt 2.3.0

* Tue Mar 06 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.65-1mdk
- updated to 0.65
- updated files section

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- new in contribs
- used srpm from Balaji Ramani <balaji@yablibli.com>

* Tue Nov 28 2000 Balaji Ramani <balaji@yablibli.com>
- Initial version
